<div class="textarea-container">
  <textarea rows="3" [formControl]="control"
            [placeholder]="placeholder"></textarea>
  <div *ngIf="control.invalid && (control.dirty || control.touched)">
    <div class="textarea-error" *ngIf="control.errors?.['required']">{{name}} is required</div>
    <div class="textarea-error" *ngIf="control.errors?.['minlength']">Too little for good story... 2 characters needed</div>
    <div class="textarea-error" *ngIf="control.errors?.['maxlength']">Oh man it's so fantastic... More than {{control.errors?.['maxlength'].requiredLength}} characters</div>
  </div>
</div>
